@import "variables";

@font-face {
  font-family: '#{$icomoon-font-family}';
  src:
    url('#{$icomoon-font-path}/#{$icomoon-font-family}.ttf?wscb8i') format('truetype'),
    url('#{$icomoon-font-path}/#{$icomoon-font-family}.woff?wscb8i') format('woff'),
    url('#{$icomoon-font-path}/#{$icomoon-font-family}.svg?wscb8i##{$icomoon-font-family}') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[class^="icon-"], [class*=" icon-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: '#{$icomoon-font-family}' !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-status {
  &:before {
    content: $icon-status; 
  }
}
.icon-mail {
  &:before {
    content: $icon-mail; 
  }
}
.icon-www {
  &:before {
    content: $icon-www; 
  }
}
.icon-discord {
  &:before {
    content: $icon-discord;     
    color: #7289da;
  }
}
.icon-mastodon {
  &:before {
    content: $icon-mastodon;     
    color: #3088d4;
  }
}
.icon-github {
  &:before {
    content: $icon-github; 
  }
}
.icon-twitter {
  &:before {
    content: $icon-twitter; 
  }
}
.icon-gitlab {
  &:before {
    content: $icon-gitlab; 
  }
}

